<snippets name="LaTeX (RKWard)" filetypes="tex" authors="RKWard Team" namespace="SnippetsLaTeX" license="BSD">
 <script>require("range.js")
require("cursor.js")
require("document.js")
require("view.js")

function fileName() { return document.fileName(); }
function encoding() { return document.encoding(); }
function year() { return new Date().getFullYear(); }
function upper(x) { return x.toUpperCase(); }
function lower(x) { return x.toLowerCase(); }
function braces(text) { return "{" + text + "}"; }
function lineCommand(command, replaces="", label_if_empty="Heading") {
    let c = view.cursorPosition();
    // NOTE: snippet scripts work by 1. inserting the raw snippet as a raw "template" 2. evaluating any commands inside the template 3. replacing the template with the evaluated template. As a result, when this function gets called, it contains the call to itself...
    let line = document.line(c.line).replace(/\$\{lineCommand\s*\([^\}]*\}/g, "");
    line = line.replace(new RegExp(replaces), "");
    if (line == "") line = label_if_empty;
    else document.removeLine(c.line);
    return command + " " + line + "\n";
}

function rangeCommand(command, def) {
    if (view.selectedText().length > 0) {
        return command.replace("%%1", view.selectedText());
    } else {
        return command.replace("%%1", def);
    }
}
</script>
 <item>
  <match>Newline</match>
<fillin>
\newline

</fillin>
 </item>
 <item>
  <match>New page</match>
  <fillin>
\pagebreak

</fillin>
 </item>
 <item>
  <match>x=y</match>
  <fillin>$x = y$</fillin>
 </item>
 <item>
  <match>α Α</match>
  <fillin>$\alpha A$</fillin>
 </item>
 <item>
  <match>|A|</match>
  <fillin>$|A|$</fillin>
 </item>
 <item>
  <match>x∈A</match>
  <fillin>$x \in A$</fillin>
 </item>
 <item>
  <match>P(A∣B)</match>
  <fillin>$P(A \mid B)$</fillin>
 </item>
 <item>
  <match>Overlined</match>
  <fillin>$\overline{x}$</fillin>
 </item>
 <item>
  <match>Hat</match>
  <fillin>$\hat{x}$</fillin>
 </item>
 <item>
  <match>Tile</match>
  <fillin>$\tilde{x}$</fillin>
 </item>
 <item>
  <match>Subset</match>
  <fillin>$x \subset B$</fillin>
 </item>
 <item>
  <match>Subset equal</match>
  <fillin>$x \subseteq B$</fillin>
 </item>
 <item>
  <match>Or</match>
  <fillin>$A \cup B$</fillin>
 </item>
 <item>
  <match>And</match>
  <fillin>$A \cap B$</fillin>
 </item>
 <item>
  <match>List</match>
  <fillin>
\begin{itemize}
    \item[\S] First item
    \item Second item
\end{itemize}
</fillin>
 </item>
 <item>
  <match>Fraction (inline)</match>
<fillin>$\frac{A}{x + \frac{1}{x}}$</fillin>
 </item>
 <item>
  <match>Image</match>
<fillin>
Figure \ref{fig:my_image} shows an example of a referenced image.

\begin{figure}[ht]
  \includegraphics{figure/image.png}
  \caption{This is a figure with references.}
  \label{fig:my_image}
\end{figure}
</fillin>
 </item>
</snippets>
